#include "flash.h"

/**
  * @brief  flash初始化
  * @param
  */
void Flash_Init(void)
{
    SPI_Flash_Init();
}

/**
  * @brief  读取flash中的数据
  * @param  pBuffer         保存读取的数据
  * @param  ReadAddr        读取数据的位置
  * @param  NumByteToRead   读取数据的长度
  */
void read_Flash(uint8_t* pBuffer,uint32_t ReadAddr,uint16_t NumByteToRead)
{
    SPI_Flash_Read(pBuffer, ReadAddr, NumByteToRead);
}

/**
  * @brief  将数据写入到flash中
  * @param  pBuffer         要写入的数据
  * @param  ReadAddr        要写入数据的位置
  * @param  NumByteToRead   要写入数据的长度
  */
void write_Flash(uint8_t* pBuffer,uint32_t WriteAddr,uint16_t NumByteToWrite)
{
    SPI_Flash_Write(pBuffer, WriteAddr, NumByteToWrite);
}


/**
  * @brief  清除flash中secpos扇区的数据
  *
  */
void erase_Sector_Flash(uint32_t secpos)
{
    SPI_Flash_Erase_Sector(secpos);
}
